Subject: Re: bug#3540: Please reserve a ctrl-key combination for interoperability

From: Stefan Kangas <[email-masked]>
Date: Sun, 24 Nov 2019 00:37:50 +0100

tags 3540 + notabug wontfix
close 3540
thanks

Stefan Kangas <[email-masked]> writes:

> Marcin Borkowski <[email-masked]> writes:
>
>> Psychologically, many people hesitate to rebind default keys for various
>> reasons.  While it is unreasonable for the manual to suggest binding
>> particular keys to particular commands, I would find it very reasonable
>> to encourage users to customize Emacs, including rebinding keys - also
>> the defaults.
>
> To my mind, the manual already covers what you discuss above.  The
> "Intro" section says:
>
>    “Customizable” means that you can easily alter the behavior of Emacs
> commands in simple ways.  For instance, if you use a programming
> language in which comments start with ‘<**’ and end with ‘**>’, you can
> tell the Emacs comment manipulation commands to use those strings (*note
> Comments::).  To take another example, you can rebind the basic cursor
> motion commands (up, down, left and right) to any keys on the keyboard
> that you find comfortable.  *Note Customization::.

No further comments within 5 weeks, and it doesn't seem like there's
anything to do here.  I'm therefore closing this bug.

If anyone disagrees with that, feel free to reopen the bug report, or
just reply back to state your opinion.  If anyone does that, may I
suggest to then also include a suggestion for what to do.

Best regards,
Stefan Kangas